### Enumeration

# Gimp FillType

unstable since: 3.0

#### Declaration

    enum Gimp.FillType

#### Description [src]

Types of filling.

Available since: 3.0

#### Members

`GIMP_FILL_FOREGROUND`

  Foreground color.

  - Value: `0`
  - Nickname: `foreground`
  - Available since: 3.0
`GIMP_FILL_BACKGROUND`

  Background color.

  - Value: `1`
  - Nickname: `background`
  - Available since: 3.0
`GIMP_FILL_CIELAB_MIDDLE_GRAY`

  Middle Gray (CIELAB)

  - Value: `2`
  - Nickname: `cielab-middle-gray`
  - Available since: 3.0
`GIMP_FILL_WHITE`

  White.

  - Value: `3`
  - Nickname: `white`
  - Available since: 3.0
`GIMP_FILL_TRANSPARENT`

  Transparency.

  - Value: `4`
  - Nickname: `transparent`
  - Available since: 3.0
`GIMP_FILL_PATTERN`

  Pattern.

  - Value: `5`
  - Nickname: `pattern`
  - Available since: 3.0